Index: trunk/org.gvsig.desktop/org.gvsig.desktop.installer/org.gvsig.desktop.installer.izpack/org.gvsig.desktop.installer.izpack.win.x86_64/src/main/izpack/install.xml
===================================================================
--- trunk/org.gvsig.desktop/org.gvsig.desktop.installer/org.gvsig.desktop.installer.izpack/org.gvsig.desktop.installer.izpack.win.x86_64/src/main/izpack/install.xml	(revision 43293)
+++ trunk/org.gvsig.desktop/org.gvsig.desktop.installer/org.gvsig.desktop.installer.izpack/org.gvsig.desktop.installer.izpack.win.x86_64/src/main/izpack/install.xml	(revision 43294)
@@ -37,6 +37,8 @@
       <file src="cygcheck.exe" targetdir="$INSTALL_PATH"/>
       <file src="cygwin1.dll" targetdir="$INSTALL_PATH"/>
       <file src="cygpath.exe" targetdir="$INSTALL_PATH"/>
+      <file src="gvsig-desktop.exe" targetdir="$INSTALL_PATH"/>
+      <file src="gvsig-desktop.au3" targetdir="$INSTALL_PATH"/>
       <parsable targetfile="$INSTALL_PATH/gvsig-package-installer.cmd"/>
       <parsable targetfile="$INSTALL_PATH/gvsig-desktop.cmd"/>
       <parsable targetfile="$INSTALL_PATH/gvsig-desktop.vbs"/>
Index: trunk/org.gvsig.desktop/org.gvsig.desktop.installer/org.gvsig.desktop.installer.izpack/org.gvsig.desktop.installer.izpack.win.x86_64/src/main/izpack/shortcut_spec.xml
===================================================================
--- trunk/org.gvsig.desktop/org.gvsig.desktop.installer/org.gvsig.desktop.installer.izpack/org.gvsig.desktop.installer.izpack.win.x86_64/src/main/izpack/shortcut_spec.xml	(revision 43293)
+++ trunk/org.gvsig.desktop/org.gvsig.desktop.installer/org.gvsig.desktop.installer.izpack/org.gvsig.desktop.installer.izpack.win.x86_64/src/main/izpack/shortcut_spec.xml	(revision 43294)
@@ -11,7 +11,7 @@
             applications="no"
             startMenu="yes"
             startup="no"
-            target="$INSTALL_PATH\gvsig-desktop.vbs"
+            target="$INSTALL_PATH\gvsig-desktop.exe"
             commandLine=""
             description=""
 	    iconFile="$INSTALL_PATH\gvSIG.ico"
Index: trunk/org.gvsig.desktop/org.gvsig.desktop.installer/org.gvsig.desktop.installer.izpack/org.gvsig.desktop.installer.izpack.win.x86_64/src/main/scripts/prepare_win.groovy
===================================================================
--- trunk/org.gvsig.desktop/org.gvsig.desktop.installer/org.gvsig.desktop.installer.izpack/org.gvsig.desktop.installer.izpack.win.x86_64/src/main/scripts/prepare_win.groovy	(revision 43293)
+++ trunk/org.gvsig.desktop/org.gvsig.desktop.installer/org.gvsig.desktop.installer.izpack/org.gvsig.desktop.installer.izpack.win.x86_64/src/main/scripts/prepare_win.groovy	(revision 43294)
@@ -40,6 +40,19 @@
       src: "http://downloads.gvsig.org/download/gvsig-desktop/runtimes/winutils/x64/cygcheck.exe",
       dest: new File(target,"cygcheck.exe").getAbsolutePath()
     )
+
+        log.info("Download gvsig-desktop.exe ")
+    helper.ant.get(
+      src: "http://downloads.gvsig.org/download/gvsig-desktop/runtimes/winutils/x64/gvsig-desktop.exe",
+      dest: new File(target,"gvsig-desktop.exe").getAbsolutePath()
+    )
+
+     log.info("Download gvsig-desktop.au3 ")
+    helper.ant.get(
+      src: "http://downloads.gvsig.org/download/gvsig-desktop/runtimes/winutils/x64/gvsig-desktop.au3",
+      dest: new File(target,"gvsig-desktop.au3").getAbsolutePath()
+    )
+
     helper.prepare_portable()
     helper.pack_portable()
 }
Index: trunk/org.gvsig.desktop/org.gvsig.desktop.installer/org.gvsig.desktop.installer.izpack/org.gvsig.desktop.installer.izpack.win.x86/src/main/izpack/shortcut_spec.xml
===================================================================
--- trunk/org.gvsig.desktop/org.gvsig.desktop.installer/org.gvsig.desktop.installer.izpack/org.gvsig.desktop.installer.izpack.win.x86/src/main/izpack/shortcut_spec.xml	(revision 43293)
+++ trunk/org.gvsig.desktop/org.gvsig.desktop.installer/org.gvsig.desktop.installer.izpack/org.gvsig.desktop.installer.izpack.win.x86/src/main/izpack/shortcut_spec.xml	(revision 43294)
@@ -11,7 +11,7 @@
             applications="no"
             startMenu="yes"
             startup="no"
-            target="$INSTALL_PATH\gvsig-desktop.vbs"
+            target="$INSTALL_PATH\gvsig-desktop.exe"
             commandLine=""
             description=""
 	    iconFile="$INSTALL_PATH\gvSIG.ico"
Index: trunk/org.gvsig.desktop/org.gvsig.desktop.installer/org.gvsig.desktop.installer.izpack/org.gvsig.desktop.installer.izpack.win.x86/src/main/izpack/install.xml
===================================================================
--- trunk/org.gvsig.desktop/org.gvsig.desktop.installer/org.gvsig.desktop.installer.izpack/org.gvsig.desktop.installer.izpack.win.x86/src/main/izpack/install.xml	(revision 43293)
+++ trunk/org.gvsig.desktop/org.gvsig.desktop.installer/org.gvsig.desktop.installer.izpack/org.gvsig.desktop.installer.izpack.win.x86/src/main/izpack/install.xml	(revision 43294)
@@ -35,6 +35,8 @@
       <file src="${product.folder}/gvsig-desktop.vbs" targetdir="$INSTALL_PATH"/>
       <file src="busybox.exe" targetdir="$INSTALL_PATH"/>
       <file src="cygcheck.exe" targetdir="$INSTALL_PATH"/>
+      <file src="gvsig-desktop.exe" targetdir="$INSTALL_PATH"/>
+      <file src="gvsig-desktop.au3" targetdir="$INSTALL_PATH"/>
       <parsable targetfile="$INSTALL_PATH/gvsig-package-installer.cmd"/>
       <parsable targetfile="$INSTALL_PATH/gvsig-desktop.cmd"/>
       <parsable targetfile="$INSTALL_PATH/gvsig-desktop.vbs"/>
Index: trunk/org.gvsig.desktop/org.gvsig.desktop.installer/org.gvsig.desktop.installer.izpack/org.gvsig.desktop.installer.izpack.win.x86/src/main/scripts/prepare_win.groovy
===================================================================
--- trunk/org.gvsig.desktop/org.gvsig.desktop.installer/org.gvsig.desktop.installer.izpack/org.gvsig.desktop.installer.izpack.win.x86/src/main/scripts/prepare_win.groovy	(revision 43293)
+++ trunk/org.gvsig.desktop/org.gvsig.desktop.installer/org.gvsig.desktop.installer.izpack/org.gvsig.desktop.installer.izpack.win.x86/src/main/scripts/prepare_win.groovy	(revision 43294)
@@ -30,6 +30,19 @@
       src: "http://downloads.gvsig.org/download/gvsig-desktop/runtimes/winutils/x86/cygcheck.exe",
       dest: new File(target,"cygcheck.exe").getAbsolutePath()
     )
+
+    log.info("Download gvsig-desktop.exe ")
+    helper.ant.get(
+      src: "http://downloads.gvsig.org/download/gvsig-desktop/runtimes/winutils/x86/gvsig-desktop.exe",
+      dest: new File(target,"gvsig-desktop.exe").getAbsolutePath()
+    )
+
+     log.info("Download gvsig-desktop.au3 ")
+    helper.ant.get(
+      src: "http://downloads.gvsig.org/download/gvsig-desktop/runtimes/winutils/x86/gvsig-desktop.au3",
+      dest: new File(target,"gvsig-desktop.au3").getAbsolutePath()
+    )
+
     helper.prepare_portable()
     helper.pack_portable()
 