Index: SelectTableNamePanel.java
===================================================================
--- SelectTableNamePanel.java	(revision 43354)
+++ SelectTableNamePanel.java	(revision 43355)
@@ -26,6 +26,7 @@
 import java.awt.event.ActionListener;
 import java.util.Iterator;
 import java.util.List;
+import java.util.logging.Level;
 
 import javax.swing.DefaultListModel;
 import javax.swing.JComponent;
@@ -44,6 +45,10 @@
 import org.gvsig.exportto.swing.spi.ExporttoSwingProviderPanel;
 import org.gvsig.fmap.dal.DALLocator;
 import org.gvsig.fmap.dal.DataManager;
+import org.gvsig.fmap.dal.SQLBuilder;
+import org.gvsig.fmap.dal.exception.InitializeException;
+import org.gvsig.fmap.dal.exception.ProviderNotRegisteredException;
+import org.gvsig.fmap.dal.exception.ValidateDataParametersException;
 import org.gvsig.fmap.dal.store.jdbc.JDBCServerExplorer;
 import org.gvsig.fmap.dal.store.jdbc.JDBCServerExplorerParameters;
 import org.gvsig.fmap.dal.store.jdbc.JDBCStoreParameters;
@@ -67,6 +72,7 @@
     private final ExporttoJDBCOptions provider;
 
     private FillTablesListTask task = null;
+    private SQLBuilder sqlbuilder;
 
     private static class TableItem {
 
@@ -79,7 +85,9 @@
         }
 
         public TableItem(JDBCStoreParameters params) {
-            this(params.getSchema() + "." + params.getTable(), params);
+            this( StringUtils.isEmpty(params.getSchema())? 
+                params.getTable() : params.getSchema() + "." + params.getTable(), 
+                params);
         }
 
         @Override
@@ -206,12 +214,14 @@
             );
         }
         String schema = this.getSchema();
-        if (schema == null) {
-            throw new ExporttoPanelValidationException(
-                    i18nManager.getTranslation(
-                            "_The_name_of_schema_cannot_be_empty"
-                    )
-            );
+        if( sqlbuilder.supportSchemas() ) {
+            if (schema == null) {
+                throw new ExporttoPanelValidationException(
+                        i18nManager.getTranslation(
+                                "_The_name_of_schema_cannot_be_empty"
+                        )
+                );
+            }
         }
         if (this.rdoCreateTable.isSelected()) {
             String tablename_tr = tablename;
@@ -244,8 +254,8 @@
             ListModel model = this.lstTables.getModel();
             for (int i = 0; i < model.getSize(); i++) {
                 TableItem item = (TableItem) model.getElementAt(i);
-                if (schema.equals(item.getParams().getSchema())
-                        && tablename.equals(item.getParams().getTable())) {
+                if ( StringUtils.equals(schema,item.getParams().getSchema())
+                        && StringUtils.equals(tablename,item.getParams().getTable())) {
                     String msg = i18nManager.getTranslation(
                             "_La_tabla_{0}_{1}_ya_existe_en_la_base_de_datos_Seleccione_la_opcion_de_insertar_registros_en_una_tabla_existente_para_añadir_los_datos_a_esta_o_indique_otro_nombre",
                             new String[]{schema, tablename}
@@ -259,6 +269,19 @@
 
     @Override
     public void enterPanel() {
+        JDBCServerExplorerParameters explorerParameters = provider.getExplorerParameters();
+        if (explorerParameters != null) {
+            try {
+                DataManager dataManager = DALLocator.getDataManager();
+                JDBCServerExplorer explorer = (JDBCServerExplorer) dataManager.openServerExplorer(
+                    explorerParameters.getExplorerName(),
+                    explorerParameters
+                );
+                this.sqlbuilder = explorer.createSQLBuilder();
+            } catch (Exception ex) {
+                throw new RuntimeException("Can't retrieve the sqlbuilder", ex);
+            }
+        }
         this.fillTablesList();
     }
 
@@ -325,7 +348,12 @@
 
                     @Override
                     public void run() {
-                        txtSchema.setText(explorer.createSQLBuilder().default_schema());
+                        if( sqlbuilder.supportSchemas() ) {
+                            txtSchema.setText(sqlbuilder.default_schema());
+                        } else {
+                            txtSchema.setText("");
+                            txtSchema.setEnabled(false);
+                        }
                     }
                 });
 