Index: DefaultJDBCConnectionPanelView.java
===================================================================
--- DefaultJDBCConnectionPanelView.java	(revision 43376)
+++ DefaultJDBCConnectionPanelView.java	(revision 43377)
@@ -14,6 +14,7 @@
 import javax.swing.JFrame;
 import javax.swing.JLabel;
 import javax.swing.JPanel;
+import javax.swing.JPasswordField;
 import javax.swing.JTextField;
 
 
@@ -31,9 +32,11 @@
    JTextField txtServer = new JTextField();
    JTextField txtPort = new JTextField();
    JTextField txtUsername = new JTextField();
-   JTextField txtPassword = new JTextField();
+   JTextField txtDataBase = new JTextField();
+   JPasswordField txtPassword = new JPasswordField();
+   JLabel lblFile = new JLabel();
    JLabel lblFoother = new JLabel();
-   JTextField txtDataBase = new JTextField();
+   JTextField txtFile = new JTextField();
    JButton btnDataBaseBrowser = new JButton();
 
    /**
@@ -126,7 +129,7 @@
    public JPanel createPanel()
    {
       JPanel jpanel1 = new JPanel();
-      FormLayout formlayout1 = new FormLayout("FILL:DEFAULT:NONE,FILL:DEFAULT:NONE,FILL:DEFAULT:NONE,FILL:DEFAULT:GROW(1.0),FILL:DEFAULT:NONE","CENTER:DEFAULT:NONE,CENTER:DEFAULT:NONE,CENTER:DEFAULT:NONE,CENTER:DEFAULT:NONE,CENTER:DEFAULT:NONE,CENTER:DEFAULT:NONE,CENTER:DEFAULT:NONE,CENTER:DEFAULT:NONE,CENTER:DEFAULT:NONE,CENTER:DEFAULT:NONE,CENTER:DEFAULT:NONE,CENTER:DEFAULT:NONE,CENTER:DEFAULT:NONE,CENTER:DEFAULT:NONE,CENTER:DEFAULT:NONE,CENTER:DEFAULT:NONE,CENTER:DEFAULT:NONE");
+      FormLayout formlayout1 = new FormLayout("FILL:DEFAULT:NONE,FILL:DEFAULT:NONE,FILL:DEFAULT:NONE,FILL:DEFAULT:GROW(1.0),FILL:DEFAULT:NONE","CENTER:DEFAULT:NONE,CENTER:DEFAULT:NONE,CENTER:DEFAULT:NONE,CENTER:DEFAULT:NONE,CENTER:DEFAULT:NONE,CENTER:DEFAULT:NONE,CENTER:DEFAULT:NONE,CENTER:DEFAULT:NONE,CENTER:DEFAULT:NONE,CENTER:DEFAULT:NONE,CENTER:DEFAULT:NONE,CENTER:DEFAULT:NONE,CENTER:DEFAULT:NONE,CENTER:DEFAULT:NONE,CENTER:DEFAULT:NONE,CENTER:DEFAULT:NONE,CENTER:DEFAULT:NONE,CENTER:DEFAULT:NONE,CENTER:DEFAULT:NONE");
       CellConstraints cc = new CellConstraints();
       jpanel1.setLayout(formlayout1);
 
@@ -140,23 +143,23 @@
 
       lblServer.setName("lblServer");
       lblServer.setText("Servidor");
-      jpanel1.add(lblServer,cc.xy(2,6));
+      jpanel1.add(lblServer,cc.xy(2,8));
 
       lblPort.setName("lblPort");
       lblPort.setText("Puerto");
-      jpanel1.add(lblPort,cc.xy(2,8));
+      jpanel1.add(lblPort,cc.xy(2,10));
 
       lblDataBase.setName("lblDataBase");
       lblDataBase.setText("Base de datos");
-      jpanel1.add(lblDataBase,cc.xy(2,10));
+      jpanel1.add(lblDataBase,cc.xy(2,12));
 
       lblUsername.setName("lblUsername");
       lblUsername.setText("Usuario");
-      jpanel1.add(lblUsername,cc.xy(2,12));
+      jpanel1.add(lblUsername,cc.xy(2,14));
 
       lblPassword.setName("lblPassword");
       lblPassword.setText("Clave");
-      jpanel1.add(lblPassword,cc.xy(2,14));
+      jpanel1.add(lblPassword,cc.xy(2,16));
 
       cboConnections.setEditable(true);
       cboConnections.setName("cboConnections");
@@ -167,20 +170,27 @@
       jpanel1.add(cboConnectors,cc.xy(4,4));
 
       txtServer.setName("txtServer");
-      jpanel1.add(txtServer,cc.xy(4,6));
+      jpanel1.add(txtServer,cc.xy(4,8));
 
       txtPort.setName("txtPort");
-      jpanel1.add(txtPort,cc.xy(4,8));
+      jpanel1.add(txtPort,cc.xy(4,10));
 
       txtUsername.setName("txtUsername");
-      jpanel1.add(txtUsername,cc.xy(4,12));
+      jpanel1.add(txtUsername,cc.xy(4,14));
 
+      txtDataBase.setName("txtDataBase");
+      jpanel1.add(txtDataBase,cc.xy(4,12));
+
       txtPassword.setName("txtPassword");
-      jpanel1.add(txtPassword,cc.xy(4,14));
+      jpanel1.add(txtPassword,cc.xy(4,16));
 
-      jpanel1.add(createPanel1(),cc.xywh(2,16,3,1));
-      jpanel1.add(createPanel2(),cc.xy(4,10));
-      addFillComponents(jpanel1,new int[]{ 1,2,3,4,5 },new int[]{ 1,2,3,4,5,6,7,8,9,10,11,12,13,14,15,16,17 });
+      lblFile.setName("lblFile");
+      lblFile.setText("Fichero");
+      jpanel1.add(lblFile,cc.xy(2,6));
+
+      jpanel1.add(createPanel1(),cc.xywh(2,18,3,1));
+      jpanel1.add(createPanel2(),cc.xy(4,6));
+      addFillComponents(jpanel1,new int[]{ 1,2,3,4,5 },new int[]{ 1,2,3,4,5,6,7,8,9,10,11,12,13,14,15,16,17,18,19 });
       return jpanel1;
    }
 
@@ -202,19 +212,19 @@
    public JPanel createPanel2()
    {
       JPanel jpanel1 = new JPanel();
-      FormLayout formlayout1 = new FormLayout("FILL:DEFAULT:GROW(1.0),FILL:DEFAULT:NONE","CENTER:DEFAULT:NONE");
+      FormLayout formlayout1 = new FormLayout("FILL:DEFAULT:GROW(1.0),FILL:4DLU:NONE,FILL:DEFAULT:NONE","CENTER:DEFAULT:NONE");
       CellConstraints cc = new CellConstraints();
       jpanel1.setLayout(formlayout1);
 
-      txtDataBase.setName("txtDataBase");
-      jpanel1.add(txtDataBase,cc.xy(1,1));
+      txtFile.setName("txtFile");
+      jpanel1.add(txtFile,cc.xy(1,1));
 
       btnDataBaseBrowser.setActionCommand("...");
       btnDataBaseBrowser.setName("btnDataBaseBrowser");
       btnDataBaseBrowser.setText("...");
-      jpanel1.add(btnDataBaseBrowser,cc.xy(2,1));
+      jpanel1.add(btnDataBaseBrowser,cc.xy(3,1));
 
-      addFillComponents(jpanel1,new int[0],new int[0]);
+      addFillComponents(jpanel1,new int[]{ 2 },new int[0]);
       return jpanel1;
    }
 