Index: trunk/org.gvsig.desktop/org.gvsig.desktop.library/org.gvsig.exportto/org.gvsig.exportto.swing/org.gvsig.exportto.swing.prov/org.gvsig.exportto.swing.prov.file/src/main/java/org/gvsig/exportto/swing/prov/file/AbstractExporttoFileService.java
===================================================================
--- trunk/org.gvsig.desktop/org.gvsig.desktop.library/org.gvsig.exportto/org.gvsig.exportto.swing/org.gvsig.exportto.swing.prov/org.gvsig.exportto.swing.prov.file/src/main/java/org/gvsig/exportto/swing/prov/file/AbstractExporttoFileService.java	(revision 43395)
+++ trunk/org.gvsig.desktop/org.gvsig.desktop.library/org.gvsig.exportto/org.gvsig.exportto.swing/org.gvsig.exportto.swing.prov/org.gvsig.exportto.swing.prov.file/src/main/java/org/gvsig/exportto/swing/prov/file/AbstractExporttoFileService.java	(revision 43396)
@@ -42,6 +42,7 @@
 import org.gvsig.fmap.dal.feature.OpenFeatureStoreParameters;
 import org.gvsig.fmap.dal.serverexplorer.filesystem.FilesystemServerExplorer;
 import org.gvsig.fmap.dal.serverexplorer.filesystem.FilesystemServerExplorerParameters;
+import org.gvsig.fmap.dal.serverexplorer.filesystem.FilesystemStoreParameters;
 import org.gvsig.tools.task.TaskStatus;
 
 /**
@@ -93,19 +94,12 @@
 
         FilesystemServerExplorer explorer;
         try {
-            explorer =
-                (FilesystemServerExplorer) dataManager.openServerExplorer(
-                    "FilesystemExplorer", explorerParams);
-        } catch (ValidateDataParametersException e) {
-            throw new ExporttoServiceException(e);
-        } catch (InitializeException e) {
-            throw new ExporttoServiceException(e);
-        } catch (ProviderNotRegisteredException e) {
-            throw new ExporttoServiceException(e);
-        }
-
-        try {
-            openFeatureStoreParameters = (OpenFeatureStoreParameters) explorer.createStoreParameters(newFile);
+            explorer = (FilesystemServerExplorer) dataManager.openServerExplorer(
+                    "FilesystemExplorer", explorerParams
+            );
+            String providerName = explorer.getProviderName(file);
+            openFeatureStoreParameters = (OpenFeatureStoreParameters) dataManager.createStoreParameters(providerName);
+//            openFeatureStoreParameters = (OpenFeatureStoreParameters) explorer.createStoreParameters(newFile);
             addParameters(openFeatureStoreParameters);
             newFeatureStoreParameters = (NewFeatureStoreParameters) explorer.getAddParameters(newFile);
             addParameters(newFeatureStoreParameters);
@@ -117,7 +111,7 @@
                 );
 
 
-        } catch (DataException e) {
+        } catch (Exception e) {
             throw new ExporttoServiceException(e);
         }
     }
Index: trunk/org.gvsig.desktop/org.gvsig.desktop.library/org.gvsig.exportto/org.gvsig.exportto.swing/org.gvsig.exportto.swing.prov/org.gvsig.exportto.swing.prov.dxf/src/main/java/org/gvsig/exportto/swing/prov/dxf/ExporttoDXFService.java
===================================================================
--- trunk/org.gvsig.desktop/org.gvsig.desktop.library/org.gvsig.exportto/org.gvsig.exportto.swing/org.gvsig.exportto.swing.prov/org.gvsig.exportto.swing.prov.dxf/src/main/java/org/gvsig/exportto/swing/prov/dxf/ExporttoDXFService.java	(revision 43395)
+++ trunk/org.gvsig.desktop/org.gvsig.desktop.library/org.gvsig.exportto/org.gvsig.exportto.swing/org.gvsig.exportto.swing.prov/org.gvsig.exportto.swing.prov.dxf/src/main/java/org/gvsig/exportto/swing/prov/dxf/ExporttoDXFService.java	(revision 43396)
@@ -34,6 +34,7 @@
 import org.gvsig.fmap.dal.feature.FeatureStore;
 import org.gvsig.fmap.dal.feature.NewFeatureStoreParameters;
 import org.gvsig.fmap.dal.feature.OpenFeatureStoreParameters;
+import org.gvsig.fmap.dal.serverexplorer.filesystem.FilesystemStoreParameters;
 import org.gvsig.tools.task.SimpleTaskStatus;
 
 /**
@@ -51,6 +52,9 @@
     public ExporttoDXFService(File dxfFile, FeatureStore featureStore,
         IProjection projection) {
         super(dxfFile, featureStore);
+        if( !dxfFile.getName().toLowerCase().endsWith(".dxf") ) {
+            this.file = new File(dxfFile.getAbsolutePath()+".dxf");
+        }
         this.projection = projection;
         try {
             this.open();
@@ -67,12 +71,14 @@
     public void addParameters(
         NewFeatureStoreParameters newFeatureStoreParameters) {
         newFeatureStoreParameters.setDynValue("CRS", projection);
+        ((FilesystemStoreParameters)newFeatureStoreParameters).setFile(file);
     }
 
     @Override
     public void addParameters(
         OpenFeatureStoreParameters openFeatureStoreParameters) {
         openFeatureStoreParameters.setDynValue("CRS", projection);
+        ((FilesystemStoreParameters)openFeatureStoreParameters).setFile(file);
     }
 
     @Override
Index: trunk/org.gvsig.desktop/org.gvsig.desktop.library/org.gvsig.exportto/org.gvsig.exportto.swing/org.gvsig.exportto.swing.prov/pom.xml
===================================================================
--- trunk/org.gvsig.desktop/org.gvsig.desktop.library/org.gvsig.exportto/org.gvsig.exportto.swing/org.gvsig.exportto.swing.prov/pom.xml	(revision 43395)
+++ trunk/org.gvsig.desktop/org.gvsig.desktop.library/org.gvsig.exportto/org.gvsig.exportto.swing/org.gvsig.exportto.swing.prov/pom.xml	(revision 43396)
@@ -11,17 +11,9 @@
   </parent>
 
   <modules>
-      <!--
-    <module>org.gvsig.exportto.swing.prov.generic</module>  
-    -->
     <module>org.gvsig.exportto.swing.prov.file</module>  
     <module>org.gvsig.exportto.swing.prov.shape</module>    
-    <module>org.gvsig.exportto.swing.prov.dxf</module>  
     <module>org.gvsig.exportto.swing.prov.jdbc</module>  
-    <!--
-    <module>org.gvsig.exportto.swing.prov.postgresql</module>    
-    <module>org.gvsig.exportto.swing.prov.mysql</module>      
-    -->
     <module>org.gvsig.exportto.swing.prov.dbf</module>      
   </modules>
 </project>

Property changes on: trunk/org.gvsig.desktop/org.gvsig.desktop.library/org.gvsig.exportto/org.gvsig.exportto.swing/org.gvsig.exportto.swing.prov
___________________________________________________________________
Modified: svn:ignore
   - .project
.classpath
.settings
.settings/**
target
target/**



   + .classpath
target/**
.project
.directory
.settings/**
.settings
target


Index: trunk/org.gvsig.desktop/org.gvsig.desktop.plugin/org.gvsig.exportto.app/org.gvsig.exportto.app.mainplugin/src/main/assembly/gvsig-plugin-package.xml
===================================================================
--- trunk/org.gvsig.desktop/org.gvsig.desktop.plugin/org.gvsig.exportto.app/org.gvsig.exportto.app.mainplugin/src/main/assembly/gvsig-plugin-package.xml	(revision 43395)
+++ trunk/org.gvsig.desktop/org.gvsig.desktop.plugin/org.gvsig.exportto.app/org.gvsig.exportto.app.mainplugin/src/main/assembly/gvsig-plugin-package.xml	(revision 43396)
@@ -60,9 +60,7 @@
         <include>org.gvsig:org.gvsig.exportto.swing.spi</include>
         <include>org.gvsig:org.gvsig.exportto.swing.prov.file</include>
         <include>org.gvsig:org.gvsig.exportto.swing.prov.shape</include>
-        <include>org.gvsig:org.gvsig.exportto.swing.prov.dxf</include>
         <include>org.gvsig:org.gvsig.exportto.swing.prov.jdbc</include>
-
         <include>org.gvsig:org.gvsig.exportto.swing.prov.dbf</include>
       </includes>
     </dependencySet>
Index: trunk/org.gvsig.desktop/org.gvsig.desktop.plugin/org.gvsig.exportto.app/org.gvsig.exportto.app.mainplugin/pom.xml
===================================================================
--- trunk/org.gvsig.desktop/org.gvsig.desktop.plugin/org.gvsig.exportto.app/org.gvsig.exportto.app.mainplugin/pom.xml	(revision 43395)
+++ trunk/org.gvsig.desktop/org.gvsig.desktop.plugin/org.gvsig.exportto.app/org.gvsig.exportto.app.mainplugin/pom.xml	(revision 43396)
@@ -75,14 +75,8 @@
       <artifactId>org.gvsig.exportto.swing.spi</artifactId>
       <scope>compile</scope>
     </dependency>
-<!--
-    <dependency>
-      <groupId>org.gvsig</groupId>
-      <artifactId>org.gvsig.exportto.swing.prov.generic</artifactId>
-      <scope>compile</scope>
-    </dependency>
--->
 
+
     <!-- Runtime dependencies -->
 
     <dependency>
@@ -108,11 +102,6 @@
     </dependency>
     <dependency>
       <groupId>org.gvsig</groupId>
-      <artifactId>org.gvsig.exportto.swing.prov.dxf</artifactId>
-      <scope>runtime</scope>
-    </dependency>
-    <dependency>
-      <groupId>org.gvsig</groupId>
       <artifactId>org.gvsig.exportto.swing.prov.jdbc</artifactId>
       <scope>runtime</scope>
     </dependency>