Index: trunk/org.gvsig.desktop/org.gvsig.desktop.library/org.gvsig.exportto/org.gvsig.exportto.swing/org.gvsig.exportto.swing.prov/org.gvsig.exportto.swing.prov.file/src/main/java/org/gvsig/exportto/swing/prov/file/AbstractExporttoFileService.java
===================================================================
--- trunk/org.gvsig.desktop/org.gvsig.desktop.library/org.gvsig.exportto/org.gvsig.exportto.swing/org.gvsig.exportto.swing.prov/org.gvsig.exportto.swing.prov.file/src/main/java/org/gvsig/exportto/swing/prov/file/AbstractExporttoFileService.java	(revision 43502)
+++ trunk/org.gvsig.desktop/org.gvsig.desktop.library/org.gvsig.exportto/org.gvsig.exportto.swing/org.gvsig.exportto.swing.prov/org.gvsig.exportto.swing.prov.file/src/main/java/org/gvsig/exportto/swing/prov/file/AbstractExporttoFileService.java	(revision 43503)
@@ -42,6 +42,7 @@
 import org.gvsig.fmap.dal.serverexplorer.filesystem.FilesystemServerExplorer;
 import org.gvsig.fmap.dal.serverexplorer.filesystem.FilesystemServerExplorerParameters;
 import org.gvsig.tools.task.TaskStatus;
+import org.gvsig.tools.util.HasAFile;
 import org.slf4j.Logger;
 import org.slf4j.LoggerFactory;
 
@@ -87,10 +88,8 @@
             explorerParams =
                 (FilesystemServerExplorerParameters) dataManager
                     .createServerExplorerParameters(FilesystemServerExplorer.NAME);
-        } catch (InitializeException e) {
+        } catch (Exception e) {
             throw new ExporttoServiceException(e);
-        } catch (ProviderNotRegisteredException e) {
-            throw new ExporttoServiceException(e);
         }
         explorerParams.setRoot(newFile.getParent());
 
@@ -99,9 +98,9 @@
             explorer = (FilesystemServerExplorer) dataManager.openServerExplorer(
                     "FilesystemExplorer", explorerParams
             );
-            String providerName = explorer.getProviderName(file);
+            String providerName = explorer.getProviderName(newFile);
             openFeatureStoreParameters = (OpenFeatureStoreParameters) dataManager.createStoreParameters(providerName);
-//            openFeatureStoreParameters = (OpenFeatureStoreParameters) explorer.createStoreParameters(newFile);
+            ((HasAFile)openFeatureStoreParameters).setFile(newFile);
             addParameters(openFeatureStoreParameters);
             newFeatureStoreParameters = (NewFeatureStoreParameters) explorer.getAddParameters(newFile);
             addParameters(newFeatureStoreParameters);
Index: trunk/org.gvsig.desktop/org.gvsig.desktop.library/org.gvsig.exportto/org.gvsig.exportto.swing/org.gvsig.exportto.swing.prov/org.gvsig.exportto.swing.prov.dbf/src/main/java/org/gvsig/exportto/swing/prov/dbf/ExporttoDBFService.java
===================================================================
--- trunk/org.gvsig.desktop/org.gvsig.desktop.library/org.gvsig.exportto/org.gvsig.exportto.swing/org.gvsig.exportto.swing.prov/org.gvsig.exportto.swing.prov.dbf/src/main/java/org/gvsig/exportto/swing/prov/dbf/ExporttoDBFService.java	(revision 43502)
+++ trunk/org.gvsig.desktop/org.gvsig.desktop.library/org.gvsig.exportto/org.gvsig.exportto.swing/org.gvsig.exportto.swing.prov/org.gvsig.exportto.swing.prov.dbf/src/main/java/org/gvsig/exportto/swing/prov/dbf/ExporttoDBFService.java	(revision 43503)
@@ -28,12 +28,10 @@
 import org.gvsig.exportto.ExporttoService;
 import org.gvsig.exportto.ExporttoServiceException;
 import org.gvsig.exportto.swing.prov.file.AbstractExporttoFileService;
-import org.gvsig.fmap.dal.DataStoreParameters;
 import org.gvsig.fmap.dal.exception.DataException;
 import org.gvsig.fmap.dal.feature.FeatureStore;
 import org.gvsig.fmap.dal.feature.NewFeatureStoreParameters;
 import org.gvsig.fmap.dal.feature.OpenFeatureStoreParameters;
-import org.gvsig.tools.task.SimpleTaskStatus;
 
 /**
  * @author gvSIG Team
@@ -58,7 +56,7 @@
         try {
             this.open();
         } catch (ExporttoServiceException e) {
-            throw new RuntimeException("Can't prepare the export to dbf. file="+dbfFile.getAbsolutePath()+", store="+featureStore.getFullName()+".", e);
+            throw new RuntimeException("Can't prepare the export to dbf. Target="+dbfFile.getAbsolutePath()+", Source="+featureStore.getFullName()+".", e);
         }
     }
 
Index: trunk/org.gvsig.desktop/org.gvsig.desktop.compat.cdc/org.gvsig.fmap.dal/org.gvsig.fmap.dal.impl/src/main/java/org/gvsig/fmap/dal/impl/DefaultDataManager.java
===================================================================
--- trunk/org.gvsig.desktop/org.gvsig.desktop.compat.cdc/org.gvsig.fmap.dal/org.gvsig.fmap.dal.impl/src/main/java/org/gvsig/fmap/dal/impl/DefaultDataManager.java	(revision 43502)
+++ trunk/org.gvsig.desktop/org.gvsig.desktop.compat.cdc/org.gvsig.fmap.dal/org.gvsig.fmap.dal.impl/src/main/java/org/gvsig/fmap/dal/impl/DefaultDataManager.java	(revision 43503)
@@ -270,7 +270,17 @@
 
     @Override
     public DataStoreParameters createStoreParameters(String providerName) throws InitializeException, ProviderNotRegisteredException {
+        if( providerName == null ) {
+            String msg = "Provider name can't be null.";
+            logger.warn(msg);
+            throw new IllegalArgumentException(msg);
+        }
         DataFactory providerFactory = this.getStoreProviderRegister().getFactory(providerName);
+        if( providerFactory == null ) {
+            String msg = "Can't locate provider factory for '"+providerName+"'.";
+            logger.warn(msg);
+            throw new IllegalArgumentException(msg);
+        }
         return (DataStoreParameters) providerFactory.createParameters();
     }
 
@@ -286,6 +296,11 @@
 
     @Override
     public DataServerExplorerParameters createServerExplorerParameters(String explorerName) throws InitializeException, ProviderNotRegisteredException {
+        if( explorerName == null ) {
+            String msg = "Explorer name can't be null.";
+            logger.warn(msg);
+            throw new IllegalArgumentException(msg);
+        }
         DataFactory explorerFactory = this.getServerExplorerRegister().getFactory(explorerName);
         if( explorerFactory == null ) {
             String msg = "Can't locate server explorer factory for '"+explorerName+"'.";
@@ -313,6 +328,11 @@
 
     @Override
     public DataServerExplorer openServerExplorer(String explorerName, DataServerExplorerParameters parameters) throws InitializeException, ProviderNotRegisteredException, ValidateDataParametersException {
+        if( explorerName == null ) {
+            String msg = "Explorer name can't be null.";
+            logger.warn(msg);
+            throw new IllegalArgumentException(msg);
+        }
         DataFactory explorerFactory = this.getServerExplorerRegister().getFactory(explorerName);
         if( explorerFactory == null ) {
             String msg = "Can't locate server explorer factory for '"+explorerName+"'.";
@@ -337,6 +357,11 @@
             // llamar al que toca.
             return openServerExplorer(explorerName, (DataServerExplorerParameters)(arguments[0]));
         }
+        if( explorerName == null ) {
+            String msg = "Explorer name can't be null.";
+            logger.warn(msg);
+            throw new IllegalArgumentException(msg);
+        }
         if( (arguments.length % 2)!= 0 ) {
             throw new ValidateDataParametersException();
         }
@@ -383,7 +408,11 @@
 
     @Override
     public DataStore openStore(String providerName, DataStoreParameters parameters) throws InitializeException, ProviderNotRegisteredException, ValidateDataParametersException {
-
+        if( providerName == null ) {
+            String msg = "Provider name can't be null.";
+            logger.warn(msg);
+            throw new IllegalArgumentException(msg);
+        }
         SimpleIdentityManager identityManager = ToolsLocator.getIdentityManager();
         if (!identityManager.getCurrentIdentity().isAuthorized(READ_STORE_AUTHORIZATION, parameters, providerName)) {
             throw new UnauthorizedException(READ_STORE_AUTHORIZATION, parameters, providerName);
@@ -439,6 +468,11 @@
         if( (arguments.length % 2)!= 0 ) {
             throw new ValidateDataParametersException();
         }
+        if( providerName == null ) {
+            String msg = "Provider name can't be null.";
+            logger.warn(msg);
+            throw new IllegalArgumentException(msg);
+        }
         DataFactory providerFactory = this.getStoreProviderRegister().getFactory(providerName);
         DataStoreParameters parameters = (DataStoreParameters) providerFactory.createParameters();
         for( int i=0; i<arguments.length; i+=2 ) {
@@ -462,6 +496,11 @@
 
     @Override
     public DataStoreProviderFactory getStoreProviderFactory(String providerName) {
+        if( providerName == null ) {
+            String msg = "Provider name can't be null.";
+            logger.warn(msg);
+            throw new IllegalArgumentException(msg);
+        }
         DataFactory providerFactory = this.getStoreProviderRegister().getFactory(providerName);
         return (DataStoreProviderFactory) providerFactory;
     }
@@ -473,6 +512,11 @@
 
     @Override
     public List<String> getStoreProviders(String explorerName) {
+        if( explorerName == null ) {
+            String msg = "Explorer name can't be null.";
+            logger.warn(msg);
+            throw new IllegalArgumentException(msg);
+        }
         try {
             DataServerExplorer explorer = openServerExplorer(explorerName, (DataServerExplorerParameters)null);
             List names = explorer.getDataStoreProviderNames();
@@ -608,6 +652,16 @@
 
     @Override
     public void newStore(String explorerName, String providerName, NewDataStoreParameters parameters, boolean overwrite) throws InitializeException, ProviderNotRegisteredException, ValidateDataParametersException {
+        if( explorerName == null ) {
+            String msg = "Explorer name can't be null.";
+            logger.warn(msg);
+            throw new IllegalArgumentException(msg);
+        }
+        if( providerName == null ) {
+            String msg = "Provider name can't be null.";
+            logger.warn(msg);
+            throw new IllegalArgumentException(msg);
+        }
 
         SimpleIdentityManager identityManager = ToolsLocator.getIdentityManager();
         if (!identityManager.getCurrentIdentity().isAuthorized(CREATE_STORE_AUTHORIZATION, parameters, providerName)) {